package com.ssj.bean.sys.feedback.domain;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "scon_photo_feedback_detail")
public class SconPhotoFeedbackDetail extends BaseEntity {


	private static final long serialVersionUID = 1411461801049303811L;


	private String feedbackId;//反馈表id


	private String fileKey;//图片路径
	

	private String type;//反馈解答类型 1：题目分析 2：思路引导 3：结果呈现 4：总体建议
	

	private int num;//图片位置序号 ，用于区分图片的顺序


	private Date createTime;//
	@Column(name = "feedback_id")
	public String getFeedbackId() {
		return feedbackId;
	}

	public void setFeedbackId(String feedbackId) {
		this.feedbackId = feedbackId;
	}
	@Column(name = "file_key")
	public String getFileKey() {
		return fileKey;
	}

	public void setFileKey(String fileKey) {
		this.fileKey = fileKey;
	}
	@Column(name = "type")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "num")
	public int getNum() {
		return num;
	}

	public void setNum(int num) {
		this.num = num;
	}
	
}
